﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Controls.Primitives;

namespace ColorPickerToolTip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void PredefSelectedColorChanged(object sender, EventArgs e)
        {
            oRect.Fill = new SolidColorBrush(((RadColorSelector)sender).SelectedColor);
            colorPicker.IsOpen = false;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            oRect.Fill = new SolidColorBrush() { Color = Colors.Transparent };
        }

        private void color_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            oRect.Fill = (sender as Rectangle).Fill;
            colorPicker.IsOpen = false;
        }
    }
}
